Bug 425031 - User-created errata do not display attached packages
User-created errata do not display attached packages
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Preethi Thomas
: Regression
Depends On:
Blocks: 429319
  Show dependency treegraph
Reported: 2007-12-14 10:26 EST by Martin Poole
Modified: 2010-10-22 17:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat511
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-13 15:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Martin Poole 2007-12-14 10:28:24 EST
Note that the errata packages themselves are visible in the relevant channels if
any systems attempt updates.
Comment 2 Justin Sherrill 2007-12-17 17:28:28 EST
Fixed in rev 134979. 

Please note that this was a data population issue, so the fix will only work for
any NEW errata.
Comment 3 Preethi Thomas 2008-01-03 16:46:25 EST
Comment 4 Pradeep Kilambi 2008-03-26 10:50:49 EDT
this still happens on stage ISO

Comment 6 Marko Karg 2008-04-10 05:10:09 EDT

do we have a target release for the resolution of this bug?


Comment 7 Marko Karg 2008-04-10 05:11:02 EDT
oops, outdated page. ignore my last comment please.
Comment 8 Justin Sherrill 2008-04-17 12:38:05 EDT
fixed for trunk in 171331.
for 5.1 in 171332.
Comment 9 Justin Sherrill 2008-04-28 09:49:24 EDT
some additional errata fixes in rev 171720.
Comment 10 Justin Sherrill 2008-04-28 10:24:09 EDT
and backported to 5.1 branch in 171804.
Comment 11 Justin Sherrill 2008-04-28 10:42:50 EDT
To Qa, 

I made some change to the base code, so please test if possible all ways of
publishing errata 

1.  Api call errata.clone() & errata.publish()
2.  Web page channels->manage software channels->(custom channel name)->
errata->add-> add Red hat Errata
3.  Errata->create->publish
4.  Errata->clone


Comment 12 Clifford Perry 2008-05-02 14:39:23 EDT
Flip from ON_DEV to MODIFIED. MASS move for Sat bugs. 
Comment 13 Preethi Thomas 2008-05-20 09:48:20 EDT
1. Create a new erratum and attach a package
2. Publish the erratum
3. go to Errata -> All and select the new erratum, the select Packages
Comment 14 Justin Sherrill 2008-05-21 08:53:26 EDT
looking into this....
Comment 15 Justin Sherrill 2008-05-21 17:51:34 EDT
checked in fix in rev 172848 and backported in rev 172849.
Comment 16 Preethi Thomas 2008-06-13 09:11:19 EDT
Comment 17 Jeff Ortel 2008-07-24 12:30:34 EDT
Verified on 511.
Behavior seems to handle common use case.   But package only shows up when
channel is modified by adding a package.  Cloning a channel and adding a package
already existing in the channel to the errata causes the package to show up when
modifying the errata but not when looking at the errata from the ALL errata page.
Comment 18 Brandon Perkins 2008-08-13 15:00:33 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.
Comment 19 Brandon Perkins 2008-08-13 15:06:21 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.